## org.codehaus.groovy.grails.compiler.injection
Class GlobalPluginAwareEntityASTTransformation

    java.lang.Object
      org.codehaus.groovy.grails.compiler.injection.GlobalPluginAwareEntityASTTransformation

All Implemented Interfaces:
  org.codehaus.groovy.transform.ASTTransformation

    public class GlobalPluginAwareEntityASTTransformation

extends Object
implements org.codehaus.groovy.transform.ASTTransformation

This AST transformation automatically annotates any class with @Plugin(name="foo") if it is a plugin resource

Since:
  1.2
Author:
  Graeme Rocher

Constructor Summary
`GlobalPluginAwareEntityASTTransformation()`

Method Summary
`void` `visit(org.codehaus.groovy.ast.ASTNode[] astNodes, org.codehaus.groovy.control.SourceUnit sourceUnit)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GlobalPluginAwareEntityASTTransformation

    public GlobalPluginAwareEntityASTTransformation()

Method Detail

### visit

    public void visit(org.codehaus.groovy.ast.ASTNode[] astNodes,
                      org.codehaus.groovy.control.SourceUnit sourceUnit)

  Specified by:
    `visit` in interface `org.codehaus.groovy.transform.ASTTransformation`

Copyright (c) 2005-2009 The Grails project